Bug 76609 - (USB STORAGE)USB Mass Storage not usable
(USB STORAGE)USB Mass Storage not usable
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-10-23 22:52 EDT by Need Real Name
Modified: 2007-04-18 12:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-12-16 21:38:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
This is what comes out from the /var/log/messages file. Any solution? (1.07 KB, text/plain)
2002-10-25 05:01 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2002-10-23 22:52:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020823

Description of problem:
When I plug in the USB Mass Storage device to the USB port, no new device is
created in the /dev directory.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Plug in the USB Mass Storage device to the USB port.

Actual Results:  "tail -f /var/log/messages" output:
kernel: hub.c: USB new device connect on bus1/2, assigned device number 5
/etc/hotplug/usb.agent: Setup usb-storage for USB product 8ec/802/100
modprobe: modprobe: Can't locate module block-major-2

Expected Results:  The USB Mass Storage device should be able to use.

Additional info:
Comment 1 Pete Zaitcev 2002-10-24 12:59:53 EDT
Devices in /dev are not created by hotplug. They are permanently
present as part of the "dev" package.

[zaitcev@niphredil linux-2.5]$ ls -l /dev/sda
brw-rw----    1 root     floppy     8,   0 Aug 30 16:31 /dev/sda
[zaitcev@niphredil linux-2.5]$ ls -l /dev/sdb
brw-rw----    1 root     disk       8,  16 Aug 30 16:31 /dev/sdb
[zaitcev@niphredil linux-2.5]$ rpm -qf /dev/sda
[zaitcev@niphredil linux-2.5]$
Comment 2 Need Real Name 2002-10-25 05:01:47 EDT
Created attachment 82024 [details]
This is what comes out from the /var/log/messages file. Any solution?
Comment 3 Pete Zaitcev 2002-11-06 21:53:56 EST
I do not see a problem. What happens if you run "fdisk /dev/sda"?
Comment 4 Need Real Name 2002-11-17 20:23:24 EST
I am able to mount the usb storage with 'mount /dev/sda /mnt/usbstorage'
command, but I am only able to mount as ext2 file system. I tried to format the
file system as vfat with this command ' mkfs -t vfat /dev/sda ' but the command
failed to perform the action. Please advice.
Comment 5 Need Real Name 2002-11-19 21:36:15 EST
This is the output of runing fdisk

# fdisk /dev/sda

Command (m for help): p

Disk /dev/sda: 2 heads, 32 sectors, 250 cylinders
Units = cylinders of 64 * 512 bytes

   Device Boot    Start       End    Blocks   Id  System
/dev/sda1             1       250      7984    e  Win95 FAT16 (LBA)

Command (m for help):
Comment 6 Pete Zaitcev 2002-11-20 01:03:37 EST
Format in Windows or in Camera/Appliance, then use /dev/sda1,
   mount -t msdos /dev/sda1 /mnt/usbstorage
Comment 7 Pete Zaitcev 2003-06-03 17:20:12 EDT
May I close this now?

Note You need to log in before you can comment on or make changes to this bug.